Subject: Re: [PATCH] Add Kconfig dependency !VT for VIOCONS

From: Adrian Bunk <[email-masked]>
Date: Wed, 11 Oct 2006 05:56:29 +0200

On Tue, Oct 10, 2006 at 09:10:04AM -0700, Randy Dunlap wrote:
> On Tue, 10 Oct 2006 06:55:34 +0200 Adrian Bunk wrote:
> 
> > On Fri, Oct 06, 2006 at 02:34:37PM -0700, Randy Dunlap wrote:
> > > On Fri, 6 Oct 2006 13:00:07 -0700 Judith Lebzelter wrote:
> > > 
> > > > Actually, this gets rid of the CONFIG_VIOCONS from my .config, but 
> > > > then I get another warning when I build:
> > > > 
> > > > Warning! Found recursive dependency: VT VIOCONS VT
> > > > 
> > > > Can anyone suggest something?
> > > 
> > > I think that your patch is mostly good/correct, but one more line
> > > is needed on the VT side:  a deletion.
> > > 
> > > This works for me:
> > > 
> > > From: Randy Dunlap <[email-masked]>
> > > 
> > > Make allmodconfig .config build successfully by making VIOCONS
> > > available only if VT=n.  VT need not check VIOCONS.
> > > 
> > > Signed-off-by: Randy Dunlap <[email-masked]>
> > > ---
> > >  arch/powerpc/platforms/iseries/Kconfig |    2 +-
> > >  drivers/char/Kconfig                   |    1 -
> > >  2 files changed, 1 insertion(+), 2 deletions(-)
> > > 
> > > --- linux-2619-rc1g2.orig/arch/powerpc/platforms/iseries/Kconfig
> > > +++ linux-2619-rc1g2/arch/powerpc/platforms/iseries/Kconfig
> > > @@ -3,7 +3,7 @@ menu "iSeries device drivers"
> > >  	depends on PPC_ISERIES
> > >  
> > >  config VIOCONS
> > > -	tristate "iSeries Virtual Console Support (Obsolete)"
> > > +	tristate "iSeries Virtual Console Support (Obsolete)" if !VT
> > >  	help
> > >...
> > >  config VT
> > >  	bool "Virtual terminal" if EMBEDDED
> > 
> > With this dependency on EMBEDDED, you could as well simply remove 
> > VIOCONS...
> > 
> > >  	select INPUT
> > > -	default y if !VIOCONS
> > 
> > Removing the "default y" is wrong.
> 
> Oops, yes, agreed.
> 
> I don't see a way (using: make ARCH=powerpc iseries_defconfig,
> which wants to enable VIOCONS) to prevent VT from being enabled
> so that VIOCONS can be enabled.

With iseries_defconfig, CONFIG_VT is not enabled.

> However, since VIOCONS is marked (Obsolete) and since the powerpc
> people don't comment on this patch & problem, maybe Judith is the
> only person who cares.

allmodconfig turns on CONFIG_EMBEDDED.

> ~Randy

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed